import 'prismjs/components/prism-clike.js';
import 'prismjs/components/prism-markup.js';
import 'prismjs/components/prism-javascript.js';
import 'prismjs/components/prism-typescript.js';
import 'prismjs/components/prism-jsx.js';
import 'prismjs/components/prism-tsx.js';
import 'prismjs/components/prism-css.js';
export declare const CONFIGURED_LANGS: readonly ["html", "vue-sfc", "vsg", "jsx", "tsx"];
export type CONFIGURED_LANGS_TYPE = (typeof CONFIGURED_LANGS)[number];
/**
 * Returns a function that returns a function will highlight the code.
 * @param errorSquigglesClassPrefix class prefix for error squiggles
 * @returns function that will return the code highlighter for the given language
 */
export default function (errorSquigglesClassPrefix?: string): Promise<(lang: CONFIGURED_LANGS_TYPE, jsxInExamples?: boolean) => (code: string, errorLoc?: VueAllPrismError) => string>;
export interface VuePrismLocation {
    line: number;
    column: number;
}
export interface VuePrismError {
    start: VuePrismLocation;
    end: VuePrismLocation;
}
export type VueAllPrismError = VuePrismError | VuePrismLocation;
